CFLAGS_SHARED_ATTR 	+= -DNTAPI_EXPORT -DPE_IMPORT -DDALIST_IMPORT
CFLAGS_STATIC_ATTR 	+= -DNTAPI_STATIC -DPE_STATIC -DDALIST_STATIC -fvisibility=protected

CFLAGS_CONFIG 		+= -D_MIDIPIX_FREESTANDING -D__NT$(HOST_BITS)
CFLAGS_CONFIG 		+= -UWIN32 -U_WIN32 -U__WIN32 -U__WIN32__
CFLAGS_CONFIG 		+= -UWIN64 -U_WIN64 -U__WIN64 -U__WIN64__

LDFLAGS_SHARED 		+= -Wl,--exclude-all-symbols
LDFLAGS_SHARED 		+= -nostdlib -lpemagine -ldalist

ifeq ($(HOST_BITS),32)
	LDFLAGS_SHARED 	+= -Wl,--entry -Wl,$(HOST_UNDERSCORE)__ntapi_entry_point@12
else
	LDFLAGS_SHARED 	+= -Wl,--entry -Wl,$(HOST_UNDERSCORE)__ntapi_entry_point
endif

install-headers-custom:	install-headers-default
			mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/bits
			mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/bits/nt32
			mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/bits/nt64

			cp $(API_HEADERS_BITS) \
			   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/bits

			cp $(API_HEADERS_I386) \
			   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/bits/nt32

			cp $(API_HEADERS_X86_64) \
			   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/bits/nt64
