##########################################################
##  ntapi: Native API core library                      ##
##  Copyright (C) 2013--2017  Z. Gilboa                 ##
##  Released under GPLv2 and GPLv3; see COPYING.NTAPI.  ##
##########################################################

.section .text

.global __ntapi_tt_seh_frame

	.def __ntapi_tt_seh_frame; .scl 2; .type 32; .endef
	.def __seh_trap;           .scl 2; .type 32; .endef

__seh_trap:
	nop
	jmp __seh_trap

	.seh_proc __ntapi_tt_seh_frame
__ntapi_tt_seh_frame:
	.seh_endprologue

.__init_frame_begin:
	.seh_handler __seh_trap, @except
	.seh_handlerdata
	.long 1
	.long .__init_frame_begin,.__init_frame_end,__seh_trap,.__init_frame_end
	.text

	subq $40, %rsp
	call *%r9
	addq $40, %rsp

	nop
.__init_frame_end:
	ret

	.seh_endproc
